Skip to main content
POST
/
groups
/
{guid}
/
conversation
/
delivered
Mark Group Conversation As Delivered
curl --request POST \
  --url https://{appId}.api-{region}.cometchat.io/v3/groups/{guid}/conversation/delivered \
  --header 'Content-Type: application/json' \
  --header 'apikey: <api-key>' \
  --header 'onBehalfOf: <onbehalfof>' \
  --data '
{
  "messageId": 123
}
'
{
  "data": {
    "success": true,
    "message": "All the messages in the group are marked as delivered for the requesting user."
  }
}

Documentation Index

Fetch the complete documentation index at: https://www.cometchat.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

For the complete error reference, see Error Guide.

Authorizations

apikey
string
header
required

API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).

Headers

onBehalfOf
string
required

UID of the receiver of the message

Path Parameters

guid
string
required

GUID of the group whose conversation is being accessed.

Body

application/json
messageId
integer

The id of the message upto which the conversation needs to be marked as delivered.

Response

200 - application/json

Marking Conversation as delivered

data
object